package com.oqpo.api.mapper.stinfo;


import com.oqpo.api.entity.oper.SaleMgrMgntEntity;
import com.oqpo.api.entity.stinfo.BrandEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandMapper {

    List<BrandEntity> selectTargetBrandGridList(@Param("userId") String userId, @Param("authTpCd") String authTpCd)throws Exception;

    List<BrandEntity> selectPopBrandGridList(@Param("userId") String userId, @Param("authTpCd") String authTpCd, @Param("brandNm") String brandNm , GridRequest gridRequest)throws Exception;
    int selectPopBrandGridCnt(@Param("userId") String userId, @Param("authTpCd") String authTpCd, @Param("brandNm") String brandNm )throws Exception;

    List<BrandEntity> selectAfflBrandList(@Param("afflShopId") String afflShopId)throws Exception;

    List<BrandEntity> selectBrandGridList( @Param("sBrandNm") String sBrandNm, @Param("sBrandType") String sBrandType , @Param("sStCd") String sStCd  , GridRequest gridRequest)throws Exception;
    int selectBrandGridCnt(@Param("sBrandNm") String sBrandNm, @Param("sBrandType") String sBrandType , @Param("sStCd") String sStCd )throws Exception;

    BrandEntity selectBrandInfo(@Param("brandId") String brandId)throws Exception;

    int insertBrandInfo(@Param("userId") String userId, BrandEntity entity) throws Exception;
    int updateBrandInfo(@Param("userId") String userId, BrandEntity entity) throws Exception;

    String selectBrandInitPw(@Param("brandId") String brandId )throws Exception;

    List<BrandEntity> selectBsnsBrandList(@Param("bsnsRegNo") String bsnsRegNo)throws Exception;


}
